FORUMS: list search recent posts

Resize existing HFS+ partition

COW Forums : Apple OS X

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
maziska
Resize existing HFS+ partition
on May 27, 2007 at 7:53:04 am

Hi All,

First off, I am a PC user and don't know much about Mac but I have to use one at work.

I use Mac Pro with 250GB HDD that runs OSX 10.4.9.
There has been some issues with 10.4.9 and I wanted to divide the HDD into two partitions so I can boot both 10.4.8 and 10.4.9.

I was able to make partitions with GParted but the disk utility on Mac wouldn't let me create another boot drive because it is already a boot disk.

Anyway, I gave up on that one and now I wanted to resize (grow) the partition back to the way it was so I can use entire 250GB. I booted into Gparted again but the thing is that it only allows me to shrink the HFS+ file system but not to grow it.

Tried googling but couldn't find the tool that is able to do it.

Anyone know of any tool or a way to do this?

Cheers,





Return to posts index

zrb123
Re: Resize existing HFS+ partition
on May 28, 2007 at 2:02:38 am

[maziska] "isk utility on Mac wouldn't let me create another boot drive because it is already a boot disk"

To partition a disk into multiple partitions, or to go from 2 partitions to 1 you must reformat the drive. Boot from the install disk to do this. Once you have reformatted the disk, then create your two partitions. Once you have the partitions created you can then choose which partition to install the OS on, you can then go and install another OS on the other partition.

I have never heard of GParted but after a quick look at their website, and seeing that it lets you change partition sizes, tells me that it is not creating a full partition but more of an imaginary partition that is adjustable.

To create a full multiple partition that you can install the OS on you must erase the drive and then create your multiple partitions using disk utility.

Why do you need 10.4.8 & a 10.4.9 at the same time? I see no real reason why one should need both. Just one 10.4.9 should be fine. The update was to fix small problems with 10.4.8.


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]